Get Order

Get a specific order from FeedAMP

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace

Response

Get Orders
mp_order_numberstring1-128 characters
The primary order number used to identify the order in the marketplace's system
sales_channelstring

The specific channel within a marketplace in which orders are processed (typically corresponds to region)

customerobject
purchase_datedatetime

The datetime of the purchase date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

currencyenum
ISO 4217 Currency codes
shipping_addressobject
order_lineslist of objects
A collection of OrderLine objects. This property contains the individual order lines that the seller is to fulfill
fulfillmentslist of objects
List of Lines fulfilled or cancelled by the seller. The data in this field is not modifiable by the marketplace via calls to the create and update endpoints
acknowledgedboolean
Indicates if the order has been acknowledged by the seller. The data in this field is not modifiable by the marketplace via calls to the create and update endpoints
statusenum
The state of the order in FeedAMP <ul>
  • PENDING - The order has been placed into FeedAMP but is not yet released for shipment
  • ORDERED - The order is ready for shipment but has not yet been acknowledged by the seller
  • IN_PROGRESS - The order has been acknowledged and is in the process of being fulfilled
  • CANCELLED - The seller has cancelled the order completely
  • FULFILLED - The seller has either completely fulfilled the order, or partially fulfilled and cancelled the remaining quantities
  • COMPLETE - The order has been acknowledged by the marketplace as being complete by changing the marketplace_state to SHIPPED or CANCELLED
  • </ul>
    is_marketplace_fulfilledboolean
    Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill <ul>
  • True - The order is fulfilled by the marketplace
  • False - The seller must fulfill the order
  • </ul>
    locationobject

    Details about the location (e.g. store) associated with an order

    delivery_notesstring

    The customer’s instructions to the delivery service regarding where/how to leave the package

    earliest_ship_datedatetime

    The earliest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    latest_ship_datedatetime

    The latest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    latest_delivery_datedatetime

    The latest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    earliest_delivery_datedatetime

    The earliest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    gift_messagestring
    Gift message attached to order
    marketing_opt_inboolean
    Whether the customer opted in to marketing emails
    billing_addressobject
    order_additional_propertiesmap from strings to any

    Key/Value pairs of data the marketplace wants to associate with an order

    marketplace_stateenum
    The state of the order in the marketplace <ul>
  • PENDING - Order is still awaiting payment or other finalization before being eligible for fulfillment
  • AWAITING_SHIPMENT - The marketplace does not yet have any fulfillment information for the order
  • SHIPPED - The marketplace has successfully retrieved fulfillment information for the entire order
  • CANCELLED - The order has been cancelled, either due to action initiated by the marketplace (customer cancelled) or the entire order has been cancelled during fulfillment processing (seller cancelled)
  • </ul>
    Allowed values:
    fulfillment_typeenum
    Type of fulfillment required for the order <ul>
  • shipment - Requires shipment by the seller
  • digital - No physical fulfillment
  • pickup - Order prepared for local pickup by buyer
  • </ul>
    Allowed values:
    errorslist of objects
    Errors associated with the order

    Errors

    401
    Unauthorized Error